Name: pcre
Version: 6.4
Release: alt1

Summary: Perl-compatible regular expression library
License: BSD-like
Group: System/Libraries
Url: http://www.pcre.org/

Source: ftp://ftp.csx.cam.ac.uk/pub/software/programming/%name/%name-%version.tar.bz2
Source1: pcre-config.1
Source2: zpcregrep

Patch1: pcre-6.3-deb-alt-shlib.patch
Patch2: pcre-6.3-deb-pcregrep.patch
Patch3: pcre-6.3-deb-pcretest.patch
Patch4: pcre-6.3-alt-man.patch

Summary(ru_RU.KOI8-R):     Perl-  

%def_enable utf8
%def_disable compat

%if_enabled compat
%define libname lib%{name}
%else
%define libname lib%{name}3
%endif

BuildRequires: gcc-c++

%package -n %libname
Summary: Perl-compatible regular expression %{?_enable_compat:compatibility }shared library
Summary(ru_RU.KOI8-R):        Perl-
Group: System/Libraries
Provides: %name = %version-%release
Obsoletes: %name

%package -n lib%name-devel
Summary: Perl-compatible regular expressions development environment
Summary(ru_RU.KOI8-R):          PCRE
Group: Development/C
Provides: %name-devel = %version-%release
Obsoletes: %name-devel
Requires: %libname = %version-%release

%package -n lib%name-devel-static
Summary: Perl-compatible regular expressions static library
Summary(ru_RU.KOI8-R):   PCRE   
Group: Development/C
Provides: %name-devel-static = %version-%release
Obsoletes: %name-devel-static
Requires: lib%name-devel = %version-%release

%package -n lib%{name}cpp
Summary: Perl-compatible regular expressions C++ wrapper shared library
Summary(ru_RU.KOI8-R):        Perl-  C++
Group: System/Libraries
Requires: %libname = %version-%release

%package -n lib%{name}cpp-devel
Summary: Perl-compatible regular expressions C++ wrapper development library and header files
Summary(ru_RU.KOI8-R):        C++   PCRE
Group: Development/C
Requires: lib%{name}cpp = %version-%release, lib%name-devel = %version-%release

%package grep
Summary: Grep using perl-compatible regular expressions
Summary(ru_RU.KOI8-R):  Grep       PCRE
Group: File tools
Obsoletes: pgrep
Requires: %libname = %version-%release

%description
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

%description -l ru_RU.KOI8-R
 PCRE (Perl-compatible regular expressions) 
      ,   
      
 Perl  5.8.

%description -n %libname
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains PCRE %{?_enable_compat:compatibility }shared libraries.

%description -n %libname -l ru_RU.KOI8-R
 PCRE (Perl-compatible regular expressions) 
      ,   
      
 Perl  5.8.

      PCRE%{?_enable_compat:,    }.

%description -n lib%{name}cpp
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains PCRE C++ wrapper shared library.

%description -n lib%{name}cpp -l ru_RU.KOI8-R
 PCRE (Perl-compatible regular expressions)  
     ,    
       Perl
 5.8.

      PCRE  C++.

%description -n lib%name-devel
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains development libraries, include files and development
documentation required for developing applications which use perl-style
regular expressions.

%description -n lib%name-devel -l ru_RU.KOI8-R
 PCRE (Perl-compatible regular expressions)  
     ,    
       Perl
 5.8.

    :   
,      , 
 PCRE.

%description -n lib%{name}cpp-devel
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains development libraries, include files and development
documentation required for developing C++ applications which use
perl-style regular expressions.

%description -n lib%{name}cpp-devel -l ru_RU.KOI8-R
 PCRE (Perl-compatible regular expressions)  
     ,    
       Perl
 5.8.

    :   
,        C++,
  PCRE.

%description -n lib%name-devel-static
The PCRE library is a set of functions that implement regular expression
pattern matching using the same syntax and semantics as Perl, with
just a few differences.  The current implementation of PCRE corresponds
approximately with Perl 5.8.

This package contains static development libraries required for developing
statically linked applications which use perl-style regular expressions.

%description -n lib%name-devel-static -l ru_RU.KOI8-R
 PCRE (Perl-compatible regular expressions)  
     ,    
       Perl
 5.8.

       ,
  PCRE.

%description grep
pgrep is a grep workalike which uses perl-style regular expressions
instead of POSIX regular expressions.

%description grep -l ru_RU.KOI8-R
pgrep         , 
    grep,     
  POSIX-,   Perl.

%prep
%setup -q
%{!?_enable_compat:%patch1 -p1}
%patch2 -p1
%patch3 -p1
%patch4 -p1

# Fix configure.in; bundled one is broken and incomplete.
%__subst '/^AC_LIBTOOL_WIN32_DLL/ d;s/AM_PROG_LIBTOOL/AC_PROG_LIBTOOL/' configure.in

%build
# Regenerate configure script; bundled one is broken.
aclocal --force
libtoolize --force
autoconf --force

%configure --includedir=%_includedir/%name %{subst_enable utf8}
%make_build LIBTOOL_EXPORT_OPTIONS=-Wl,--version-script=pcre.map
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:%make_build check}}}

%install
%make_install install DESTDIR=%buildroot

%__install -pm644 %_sourcedir/pcre-config.1 %buildroot%_man1dir/
%__install -pm755 %_sourcedir/zpcregrep %buildroot%_bindir/
%__ln_s pcregrep.1 %buildroot%_man1dir/zpcregrep.1

%define docdir %_docdir/%name-%version
%__mkdir_p %buildroot%docdir
%__install -pm644 AUTHORS ChangeLog LICENCE README NEWS \
	doc/Tech.Notes pcredemo.c %buildroot%docdir/
%__bzip2 -9 %buildroot%docdir/ChangeLog

%post   -n %libname -p %post_ldconfig
%postun -n %libname -p %postun_ldconfig

%post   -n lib%{name}cpp -p %post_ldconfig
%postun -n lib%{name}cpp -p %postun_ldconfig

%files -n %libname
%_libdir/libpcre.so.*
%_libdir/libpcreposix.so.*
%dir %docdir
%docdir/[A-S]*

%if_disabled compat
%files -n lib%{name}cpp
%_libdir/libpcrecpp.so.*

%files -n lib%name-devel
%_bindir/*config
%_libdir/*.so
%_pkgconfigdir/libpcre.pc
%dir %_includedir/pcre
%_includedir/pcre/pcre.h
%_includedir/pcre/pcreposix.h
%_man1dir/*config.*
%_man3dir/*
%dir %docdir
%docdir/T*
%docdir/*.c

%files -n lib%{name}cpp-devel
%_libdir/libpcrecpp.so
%dir %_includedir/pcre
%_includedir/pcre/pcrecpp.h
%_includedir/pcre/pcre_*.h

%files -n lib%name-devel-static
%_libdir/*.a

%files grep
%_bindir/*grep
%_bindir/*test
%_man1dir/*
%exclude %_man1dir/*config.*
%endif # disabled compat

%changelog
* Tue Oct 04 2005 Dmitry V. Levin <ldv@altlinux.org> 6.4-alt1
- Updated to 6.4.

* Tue Sep 13 2005 Dmitry V. Levin <ldv@altlinux.org> 6.3-alt1
- Updated to 6.3.
- Updated Debian patches.
- Dropped unused bootstage logic.
- Packaged pcredemo.c (#7720).
- Packaged zpcregrep.
- Packaged C++ bindings in separate subpackages.

* Sun Apr  3 2005 Ilya Evseev <evseev@altlinux.org> 5.0-alt2
- enabled UTF-8 support by default, see bugreport #2030
- added optional bootstage support package, see bugreport #3851

* Tue Mar  8 2005 Ilya Evseev <evseev@altlinux.org> 5.0-alt1
- 5.0
- specfile: added russian summaries/descriptions

* Thu Dec 11 2003 Dmitry V. Levin <ldv@altlinux.org> 4.5-alt1
- Updated to 4.5.
- Removed alt-makefile patch (merged upstream).

* Mon Nov 03 2003 Dmitry V. Levin <ldv@altlinux.org> 4.4-alt1
- Updated to 4.4.
- Changed API, soname and renamed library subpackage to libpcre3.
- Implemented backwards compatibility build mode.
- Reverted back library relocation introduced in 3.4-ipl3mdk.
- Added pcre-config(1) manpage (deb).
- Do not package .la files.
- Updated package descriptions.
- Fixed SMP build.

* Tue Sep 10 2002 Dmitry V. Levin <ldv@altlinux.org> 3.9-alt3
- Fixed lib%name.la

* Sun Sep 01 2002 Dmitry V. Levin <ldv@altlinux.org> 3.9-alt2
- Updated %post/%postun scripts.
- Fixed library symlinks generation.
- Relocated documentation.
- Updated devel-static requirements.

* Mon Jan 14 2002 Dmitry V. Levin <ldv@alt-linux.org> 3.9-alt1
- 3.9

* Mon Nov 19 2001 Dmitry V. Levin <ldv@alt-linux.org> 3.7-alt1
- 3.7
- Created subdirectory for include files.

* Mon Aug 20 2001 Dmitry V. Levin <ldv@altlinux.ru> 3.5-alt1
- 3.5
- Moved static libraries to devel-static subpackage.
- Corrected requires.
- Corrected license info.
- Added pcretest utility to grep subpackage.

* Thu Feb 08 2001 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl4mdk
- Fixed group tag in %name-grep subpackage.
- Libification.

* Wed Dec 13 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl3mdk
- Moved shared libraries from %_libdir to /lib.

* Wed Oct 11 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl2mdk
- Automatically added BuildRequires.

* Thu Aug 24 2000 Dmitry V. Levin <ldv@fandra.org> 3.4-ipl1mdk
- 3.4

* Thu Aug  3 2000 Dmitry V. Levin <ldv@fandra.org> 3.3-ipl1mdk
- 3.3
- Renamed subpackage pgrep --> pcre-grep.

* Wed Jun 28 2000 Dmitry V. Levin <ldv@fandra.org> 3.2-ipl1mdk
- Use FHS-compatible macros.

* Wed May 17 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.2

* Thu Feb 10 2000 Dmitry V. Levin <ldv@fandra.org>
- 3.1

* Thu Dec 12 1999 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions

* Fri Nov 05 1999 Arne Coucheron <arneco@online.no>
  [2.08-1]
- using name and version macros
- changed Group to comply with RH 6.x
- using make install
- using install -d instead of mkdir -p
- removing RPM_BUILD_ROOT before installing
- some changes in the files section

* Fri May 28 1999 Damien Miller <dmiller@ilogic.com.au>
- Built RPMs
